init()
{
	game["menu_quickcommands"] = "quickcommands";
	game["menu_quickstatements"] = "quickstatements";
	game["menu_quickresponses"] = "quickresponses";
	game["menu_quicktaunts"] = "quicktaunts";
	game["menu_quicktaunts2"] = "quicktaunts2";

	precacheMenu(game["menu_quickcommands"]);
	precacheMenu(game["menu_quickstatements"]);
	precacheMenu(game["menu_quickresponses"]);
	precacheMenu(game["menu_quicktaunts"]);
	precacheMenu(game["menu_quicktaunts2"]);
	precacheHeadIcon("talkingicon");
}

quickcommands(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "US_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "US_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "US_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "US_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "US_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "US_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "US_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			case "8":
				soundalias = "US_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				break;

			default:
				assert(response == "9");
				soundalias = "US_mp_cmd_defendposition";
				saytext = "Defend this position!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "UK_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "UK_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "UK_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "UK_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "UK_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "UK_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "UK_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;
				
			case "8":
				soundalias = "UK_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				break;

			default:
				assert(response == "9");
				soundalias = "UK_mp_cmd_defendposition";
				saytext = "Defend this position!";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "RU_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "RU_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "RU_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "RU_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "RU_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "RU_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "RU_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			case "8":
				soundalias = "RU_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				break;

			default:
				assert(response == "9");
				soundalias = "RU_mp_cmd_defendposition";
				saytext = "Defend this position!";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "GE_mp_cmd_followme";
				saytext = &"QUICKMESSAGE_FOLLOW_ME";
				//saytext = "Follow Me!";
				break;

			case "2":
				soundalias = "GE_mp_cmd_movein";
				saytext = &"QUICKMESSAGE_MOVE_IN";
				//saytext = "Move in!";
				break;

			case "3":
				soundalias = "GE_mp_cmd_fallback";
				saytext = &"QUICKMESSAGE_FALL_BACK";
				//saytext = "Fall back!";
				break;

			case "4":
				soundalias = "GE_mp_cmd_suppressfire";
				saytext = &"QUICKMESSAGE_SUPPRESSING_FIRE";
				//saytext = "Suppressing fire!";
				break;

			case "5":
				soundalias = "GE_mp_cmd_attackleftflank";
				saytext = &"QUICKMESSAGE_ATTACK_LEFT_FLANK";
				//saytext = "Attack left flank!";
				break;

			case "6":
				soundalias = "GE_mp_cmd_attackrightflank";
				saytext = &"QUICKMESSAGE_ATTACK_RIGHT_FLANK";
				//saytext = "Attack right flank!";
				break;

			case "7":
				soundalias = "GE_mp_cmd_holdposition";
				saytext = &"QUICKMESSAGE_HOLD_THIS_POSITION";
				//saytext = "Hold this position!";
				break;

			case "8":
				soundalias = "GE_mp_cmd_regroup";
				saytext = &"QUICKMESSAGE_REGROUP";
				break;

			default:
				assert(response == "9");
				soundalias = "GE_mp_cmd_defendposition";
				saytext = "Defend this position!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}

quickstatements(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;
	
	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				temp = randomInt(3);
				if(temp == 0)
				{
					soundalias = "US_mp_stm_enemyspotted";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				else
				{
					soundalias = "US_mp_stm_enemyspotted2";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				break;

			case "2":
				soundalias = "US_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "US_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "US_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "US_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "US_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "US_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;
				
			case "8":
				soundalias = "US_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
				
			default:
				assert(response == "9");
				soundalias = "US_mp_stm_mandown";
				saytext = "Man down!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				temp = randomInt(3);
				if(temp == 0)
				{
					soundalias = "UK_mp_stm_enemyspotted";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				else
				{
					soundalias = "UK_mp_stm_enemyspotted2";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				break;

			case "2":
				soundalias = "UK_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "UK_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "UK_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "UK_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "UK_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "UK_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			case "8":
				soundalias = "UK_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
				
			default:
				assert(response == "9");
				soundalias = "UK_mp_stm_mandown";
				saytext = "Man down!";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				temp = randomInt(3);
				if(temp == 0)
				{
					soundalias = "RU_mp_stm_enemyspotted";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				else
				{
					soundalias = "RU_mp_stm_enemyspotted2";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				break;

			case "2":
				soundalias = "RU_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "RU_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "RU_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "RU_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				soundalias = "RU_mp_stm_sniper";
				saytext = &"QUICKMESSAGE_SNIPER";
				//saytext = "Sniper!";
				break;

			case "7":
				soundalias = "RU_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			case "8":
				soundalias = "RU_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
				
			default:
				assert(response == "9");
				soundalias = "RU_mp_stm_mandown";
				saytext = "Man down!";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				temp = randomInt(4);
				if(temp == 0)
				{
					soundalias = "GE_mp_stm_enemyspotted";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					//saytext = "Enemy spotted!";
				}
				else if(temp == 1)
				{
					soundalias = "GE_mp_stm_enemyspotted2";
					saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
				}
				else
				{
					if(game["allies"] == "american")
					{
						soundalias = "GE_mp_stm_enemyamerican";
						saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "GE_mp_stm_enemybritish";
						saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					}
					else
					{
						soundalias = "Ge_mp_stm_enemyrussian";
						saytext = &"QUICKMESSAGE_ENEMY_SPOTTED";
					}
				}
				break;

			case "2":
				soundalias = "GE_mp_stm_enemydown";
				saytext = &"QUICKMESSAGE_ENEMY_DOWN";
				//saytext = "Enemy down!";
				break;

			case "3":
				soundalias = "GE_mp_stm_iminposition";
				saytext = &"QUICKMESSAGE_IM_IN_POSITION";
				//saytext = "I'm in position.";
				break;

			case "4":
				soundalias = "GE_mp_stm_areasecure";
				saytext = &"QUICKMESSAGE_AREA_SECURE";
				//saytext = "Area secure!";
				break;

			case "5":
				soundalias = "GE_mp_stm_grenade";
				saytext = &"QUICKMESSAGE_GRENADE";
				//saytext = "Grenade!";
				break;

			case "6":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "GE_mp_stm_sniper";
					saytext = &"QUICKMESSAGE_SNIPER";
					//saytext = "Sniper!";
				}
				else
				{
					if(game["allies"] == "american")
					{
						soundalias = "GE_mp_stm_sniper_us";
						saytext = &"QUICKMESSAGE_SNIPER";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "GE_mp_stm_sniper_uk";
						saytext = &"QUICKMESSAGE_SNIPER";
					}
					else
					{
						soundalias = "GE_mp_stm_sniper_ru";
						saytext = &"QUICKMESSAGE_SNIPER";
					}
				}
				break;

			case "7":
				soundalias = "GE_mp_stm_needreinforcements";
				saytext = &"QUICKMESSAGE_NEED_REINFORCEMENTS";
				//saytext = "Need reinforcements!";
				break;

			case "8":
				soundalias = "GE_mp_stm_holdyourfire";
				saytext = &"QUICKMESSAGE_HOLD_YOUR_FIRE";
				//saytext = "Hold your fire!";
				break;
				
			default:
				assert(response == "9");
				soundalias = "GE_mp_stm_mandown";
				saytext = "Man down!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();
}

quickresponses(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "US_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "US_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "US_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "US_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "US_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "US_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;
				
			case "7":
				soundalias = "US_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				break;
				
			case "8":
				soundalias = "US_mp_rsp_thanks";
				saytext = "Thank you!";
				break;

			default:
				assert(response == "9");
				soundalias = "US_mp_rsp_noproblem";
				saytext = "No problem!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "UK_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "UK_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "UK_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "UK_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "UK_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "UK_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;

			case "7":
				soundalias = "UK_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				break;
				
			case "8":
				soundalias = "UK_mp_rsp_thanks";
				saytext = "Thank you!";
				break;

			default:
				assert(response == "9");
				soundalias = "UK_mp_rsp_noproblem";
				saytext = "No problem!";
				break;			
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "RU_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "RU_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "RU_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "RU_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "RU_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "RU_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";
				break;

			case "7":
				soundalias = "RU_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				break;
				
			case "8":
				soundalias = "RU_mp_rsp_thanks";
				saytext = "Thank you!";
				break;

			default:
				assert(response == "9");
				soundalias = "RU_mp_rsp_noproblem";
				saytext = "No problem!";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "GE_mp_rsp_yessir";
				saytext = &"QUICKMESSAGE_YES_SIR";
				//saytext = "Yes Sir!";
				break;

			case "2":
				soundalias = "GE_mp_rsp_nosir";
				saytext = &"QUICKMESSAGE_NO_SIR";
				//saytext = "No Sir!";
				break;

			case "3":
				soundalias = "GE_mp_rsp_onmyway";
				saytext = &"QUICKMESSAGE_IM_ON_MY_WAY";
				//saytext = "On my way.";
				break;

			case "4":
				soundalias = "GE_mp_rsp_sorry";
				saytext = &"QUICKMESSAGE_SORRY";
				//saytext = "Sorry.";
				break;

			case "5":
				soundalias = "GE_mp_rsp_greatshot";
				saytext = &"QUICKMESSAGE_GREAT_SHOT";
				//saytext = "Great shot!";
				break;

			case "6":
				soundalias = "GE_mp_rsp_tooklongenough";
				saytext = &"QUICKMESSAGE_TOOK_LONG_ENOUGH";
				//saytext = "Took long enough!";				
				break;
				
			case "7":
				soundalias = "GE_mp_rsp_areyoucrazy";
				saytext = &"QUICKMESSAGE_ARE_YOU_CRAZY";
				break;
				
			case "8":
				soundalias = "GE_mp_rsp_thanks";
				saytext = "Thank you!";
				break;

			default:
				assert(response == "9");
				soundalias = "GE_mp_rsp_noproblem";
				saytext = "No problem!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();
}

quicktaunts(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
			case "1":
				soundalias = "american_hitler_punk";
				saytext = "Hey fritz, Hitler's a jackass punk!";
				break;

			case "2":
				soundalias = "american_shoot_back";
				saytext = "What's the matter, not used to the enemy shooting back?";
				break;

			case "3":
				soundalias = "american_kiss_ass";
				saytext = "Hey fritz, kiss my ass, you dirty kraut bastard!";
				break;

			case "4":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "american_got_one";
					saytext = "Got one!";
				}
				else
				{
					soundalias = "american_got_him";
					saytext = "Got him!";
				}
				break;

			case "5":
				soundalias = "american_heil_hell";
				saytext = "You can heil Hitler in hell!";
				break;

			case "6":
				soundalias = "american_one_less";
				saytext = "That's one less kraut to worry about!";
				break;

			case "7":
				soundalias = "american_hitler_dolls";
				saytext = "Hey fritz, Hitler plays with dolls!";
				break;
				
			case "8":
				soundalias = "american_sister_hi";
				saytext = "Hey fritz, your sister said to say hi!";
				break;

			default:
				assert(response == "9");
				soundalias = "american_coffin";
				saytext = "You're going home in a coffin, fritz!";
				break;
			}
			break;

		case "british":
			switch(response)		
			{
			case "1":
				soundalias = "british_hell_or_berlin";
				saytext = "See you in hell or Berlin, whichever I get to first!";
				break;

			case "2":
				soundalias = "british_come_ahead";
				saytext = "Come ahead, you jerry cowards, square go, come on!";
				break;

			case "3":
				soundalias = "british_die_jerry";
				saytext = "Die, you jerry rotter!";
				break;

			case "4":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "british_got_one";
					saytext = "Got one!";
				}
				else
				{
					soundalias = "british_got_him";
					saytext = "Got him!";
				}
				break;

			case "5":
				soundalias = "british_got_wanker";
				saytext = "Got that bloody wanker!";
				break;

			case "6":
				soundalias = "british_one_less";
				saytext = "That's one less jerry to worry about!";
				break;

			case "7":
				soundalias = "british_daisies";
				saytext = "You'll be pushing up daisies before this war's over!";
				break;
				
			case "8":
				soundalias = "british_bastard";
				saytext = "Lucky bastard!";
				break;

			default:
				assert(response == "9");
				soundalias = "british_waiting";
				saytext = "And come back anytime, you jerry bastards, we'll be waiting for ya!";
				break;
			}
			break;

		default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
			case "1":
				soundalias = "russian_just_to_die";
				saytext = "You poor fascist bastards came all the way here just to die!";
				break;

			case "2":
				soundalias = "russian_die_on_front";
				saytext = "How does it feel to die on the Russian front?";
				break;

			case "3":
				soundalias = "russian_die";
				saytext = "Die, you fascist bastard!";
				break;

			case "4":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "russian_got_one";
					saytext = "Got one!";
				}
				else
				{
					soundalias = "russian_got_him";
					saytext = "Got him!";
				}
				break;
				
			case "5":
				temp = randomInt(5);
				if(temp == 0)
				{
					soundalias = "russian_for_my_mother";
					saytext = "This one's for my mother!";
				}
				else if(temp == 1)
				{
					soundalias = "russian_for_valentina";
					saytext = "This one's for Valentina!";
				}
				else if(temp == 2)
				{
					soundalias = "russian_for_my_father";
					saytext = "That was for my father, you fascist son of a *****";
				}
				else if(temp == 3)
				{
					soundalias = "russian_for_my_little_sister";
					saytext = "That one's for my little sister, you butchers!";
				}
				else
				{
					soundalias = "russian_for_my_dog";
					saytext = "And this one is for my dog, how you like it?!";
				}
				break;

			case "6":
				soundalias = "russian_one_less";
				saytext = "That's one less fascist to worry about!";
				break;

			case "7":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "russian_german_bastards";
					saytext = "Run, you dirty German bastards!";
				}
				else
				{
					soundalias = "russian_german_bastards2";
					saytext = "Run, you cowards!";
				}
				break;
				
			case "8":
				soundalias = "russian_for_russia";
				saytext = "For mother Russia!";
				break;

			default:
				assert(response == "9");
				soundalias = "russian_charge";
				saytext = "*Yells for his motherland*";
				break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
		default:
			assert(game["axis"] == "german");
			switch(response)		
			{
			case "1":
				soundalias = "german_wet_pants";
				saytext = "What's wrong, did you wet your pants?!";
				break;

			case "2":
				soundalias = "german_die_easier";
				saytext = "Die, that makes it easier for both of us!";
				break;

			case "3":
				soundalias = "german_die";
				saytext = "Die!";
				break;

			case "4":
				soundalias = "german_got_one";
				saytext = "Got one!";
				break;
				
			case "5":
				temp = randomInt(2);
				if(temp == 0)
				{
					soundalias = "german_kill";
					saytext = "You were not that hard to kill!";
				}
				else
				{
					soundalias = "german_too_easy";
					saytext = "That was too easy!";
				}
				break;

			case "6":
				if(game["allies"] == "american")
				{
					soundalias = "german_kill_us";
					saytext = "One less American to worry about!";
				}
				else if(game["allies"] == "british")
				{
					soundalias = "german_kill_uk";
					saytext = "One less Brit to worry about!";
				}
				else
				{
					soundalias = "german_kill_ru";
					saytext = "One less Russian to worry about!";
				}
				break;

			case "7":
				if(game["allies"] == "american")
				{
					soundalias = "german_us_president";
					saytext = "You yankees are weak and your president is lame!";
				}
				else if(game["allies"] == "british")
				{
					soundalias = "german_uk_island";
					saytext = "You will need a bigger island when this war is over to bury all the dead, tommy!";
				}
				else
				{
					soundalias = "german_ru_hell";
					saytext = "Go to hell, you Russian bastards!";
				}
				break;
				
			case "8":
				if(game["allies"] == "american")
				{
					soundalias = "german_us_ny";
					saytext = "When we are done here, we will continue in New York!";
				}
				else if(game["allies"] == "british")
				{
					soundalias = "german_uk_tea";
					saytext = "Isn't it already time for your tea?";
				}
				else
				{
					soundalias = "german_ru_home";
					saytext = "I'm sorry Ivan, but we can go home if we win or lose!";
				}
				break;

			default:
				assert(response == "9");
				soundalias = "german_like_girls";
				saytext = "You fight like a bunch of girls!";
				break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}

quicktaunts2(response)
{
	if(!isdefined(self.pers["team"]) || self.pers["team"] == "spectator" || isdefined(self.spamdelay))
		return;

	self.spamdelay = true;

	if(self.pers["team"] == "allies")
	{
		switch(game["allies"])		
		{
		case "american":
			switch(response)		
			{
				case "1":
					soundalias = "american_ny_ass";
					saytext = "Kiss my New York ass!";
					break;
	
				case "2":
					soundalias = "american_rats_ass";
					saytext = "Give it up klaus, you think Hitler cares if you live, he don't give a rats ass about you!";
					break;
	
				case "3":
					soundalias = "american_piss_hell";
					saytext = "Hey klaus, I'll piss on you in hell!";
					break;
	
				case "4":
					soundalias = "american_tenessee";
					saytext = "This one's from Tenessee!";
					break;
	
				case "5":
					soundalias = "american_new_york";
					saytext = "New York says hi, you kraut bastard!";
					break;
	
				case "6":
					soundalias = "american_co_dress";
					saytext = "Hey klaus, your CO's wearing a dress!";
					break;
	
				case "7":
					soundalias = "american_fatherland";
					saytext = "Kick their asses back to the fatherland!";
					break;
				
				default:
					assert(response == "8");
					soundalias = "american_cheers";
					saytext = "*Cheers*";
					break;
			}
			break;

		case "british":
			switch(response)		
			{
				case "1":
					soundalias = "british_goosestep";
					saytext = "How about you nazis come out here and goose step into my sights!";
					break;
	
				case "2":
					soundalias = "british_packing";
					saytext = "Send them packing, lads!";
					break;
	
				case "3":
					soundalias = "british_master_race";
					saytext = "So much for the master race!";
					break;
	
				case "4":
					soundalias = "british_pack_it";
					saytext = "Pack it, you jerry bastard!";
					break;
	
				case "5":
					soundalias = "british_nailed_him";
					saytext = "Nailed him!";
					break;
	
				case "6":
					soundalias = "british_pipe";
					saytext = "Put that in your pipe and smoke it!";
					break;
	
				case "7":
					soundalias = "british_another_one";
					saytext = "Come on! Give the bastard another one!";
					break;
				
				default:
					assert(response == "8");
					soundalias = "british_run";
					saytext = "Go and run, you jerry bastard!";
					break;
			}
			break;

			default:
			assert(game["allies"] == "russian");
			switch(response)		
			{
				case "1":
					soundalias = "russian_spring";
					saytext = "Die fritz, we'll throw you out in the spring!";
					break;
	
				case "2":
					soundalias = "russian_invaders";
					saytext = "Push back those fascist invaders!";
					break;
	
				case "3":
					soundalias = "russian_kill_fascists";
					saytext = "Kill those fascists!";
					break;
	
				case "4":
					soundalias = "russian_another_room";
					saytext = "Another room, another dead German!";
					break;
	
				case "5":
					soundalias = "russian_better";
					saytext = "Better you than me, fascist!";
					break;
	
				case "6":
					soundalias = "russian_building";
					saytext = "Find your own building, fritz!";
					break;
	
				case "7":
					soundalias = "russian_eat_dirt";
					saytext = "Eat dirt! This is Russian soil!";
					break;
				
				default:
					assert(response == "8");
					soundalias = "russian_motherland";
					saytext = "For the Soviet Union and for your glorious motherland, get ready!";
					break;
			}
			break;
		}
	}
	else
	{
		assert(self.pers["team"] == "axis");
		switch(game["axis"])
		{
			default:
			assert(game["axis"] == "german");
			switch(response)		
			{
				case "1":
					soundalias = "german_give_up";
					saytext = "Give up, we both know that you don't stand a chance!";
					break;
	
				case "2":
					soundalias = "german_the_end";
					saytext = "In the end, you will be beaten anyway!";
					break;
	
				case "3":
					soundalias = "german_girly";
					saytext = "Sissy! Your whole army is girly!";
					break;
	
				case "4":
					if(game["allies"] == "american")
					{
						soundalias = "german_us_swim";
						saytext = "It's just a matter of time until we drive you back even more, I hope you can all swim!";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "german_uk_soepschotel";
						saytext = "The British don't even give their soldiers proper helmets, those things look like soup dishes!";
					}
					else
					{
						soundalias = "german_ru_target";
						saytext = "Hey peasant, come here, I need some targets... and bring your sister too!";
					}
					break;	
				case "5":
					if(game["allies"] == "american")
					{
						soundalias = "german_us_better";
						saytext = "Better you than me, yank!";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "german_uk_better";
						saytext = "Better you than me, Brit!";
					}
					else
					{
						soundalias = "german_ru_better";
						saytext = "Better you than me, communist!";
					}
					break;
	
				case "6":
					if(game["allies"] == "american")
					{
						soundalias = "german_us_wife";
						saytext = "Hey yankee, soon your wife will be in my bed and your children will all speak German!";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "german_uk_insult";
						saytext = "Churchill puts his worst men against us, what an insult!";
					}
					else
					{
						soundalias = "german_ru_city";
						saytext = "When we have conquered your worthless city, I'll piss on your mother's grave!";
					}
					break;
	
				case "7":
					if(game["allies"] == "american")
					{
						soundalias = "german_us_target";
						saytext = "You Americans are the perfect targets for our machinegunners, but that's all!";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "german_uk_london";
						saytext = "Hey tommy, soon I'll be in London and you will be rotting here on this field!";
					}
					else
					{
						soundalias = "german_ru_wife";
						saytext = "Don't worry, we will take care of your women and children!";
					}
					break;
				
				default:
					assert(response == "8");
					if(game["allies"] == "american")
					{
						soundalias = "german_us_french";
						saytext = "The Americans fight like the French!";
					}
					else if(game["allies"] == "british")
					{
						soundalias = "german_uk_machinegun";
						saytext = "Hey tommy, is that a gun or a box opener?";
					}
					else
					{
						soundalias = "german_ru_decorate";
						saytext = "Do you like how we redecorated your city? Yes? Would you like some more?";
					}
					break;
			}
			break;
		}			
	}

	self saveHeadIcon();
	self doQuickMessage(soundalias, saytext);

	wait 2;
	self.spamdelay = undefined;
	self restoreHeadIcon();	
}

doQuickMessage(soundalias, saytext)
{
	if(self.sessionstate != "playing")
		return;

	if(isdefined(level.QuickMessageToAll) && level.QuickMessageToAll)
	{
		self.headiconteam = "none";
		self.headicon = "talkingicon";

		self playSound(soundalias);
		self sayAll(saytext);
	}
	else
	{
		if(self.sessionteam == "allies")
			self.headiconteam = "allies";
		else if(self.sessionteam == "axis")
			self.headiconteam = "axis";
		
		self.headicon = "talkingicon";

		self playSound(soundalias);
		self sayTeam(saytext);
		self pingPlayer();
	}
}

saveHeadIcon()
{
	if(isdefined(self.headicon))
		self.oldheadicon = self.headicon;

	if(isdefined(self.headiconteam))
		self.oldheadiconteam = self.headiconteam;
}

restoreHeadIcon()
{
	if(isdefined(self.oldheadicon))
		self.headicon = self.oldheadicon;

	if(isdefined(self.oldheadiconteam))
		self.headiconteam = self.oldheadiconteam;
}